//------------------------------------------------------------------------------
// $Source: /rcs/crcs/utils/vtoolkit.hh,v $
// Checked in by $Author: cc $
// $Date: 1995/11/11 00:07:24 $                   $Revision: 1.7 $
//------------------------------------------------------------------------------
//             Copyright (c) 1993, Visual Edge Software Ltd.
//      Copyright (c) International Business Machines Inc, 1994
//
// ALL RIGHTS RESERVED.  This notice is intended as a precaution against
// inadvertent publication, and shall not be deemed to constitute an
// acknowledgment that publication has occurred nor to imply any waiver of
// confidentiality.  The year included in the notice is the year of the
// creation of the work.
//------------------------------------------------------------------------------
// DESCRIPTION:  This file is used for toolkit dependent typedefs which may
//      be used at the framework level.
//------------------------------------------------------------------------------

#ifndef VTOOLKIT_HH
#define VTOOLKIT_HH

#include <os.h>
#include <vtoolkit.h>

//
// This class should encapsulate native event information
//
class VeEvent;

#ifdef VSYS_WINDOWS
    #ifndef OLECLASS
        #ifdef __TURBOC__
            #define OLECLASS class huge
        #else
            #define OLECLASS class FAR
        #endif
    #endif
#endif // WINDOWS

#ifdef VSYS_WININTEL
    #include <vwglobal.h>
    #include <tkintel.hh>
#endif // VSYS_WININTEL

#endif  //VTOOLKIT_HH
